package cn.com.poc.law.convert;	

import cn.com.poc.law.model.BizAiLegislativeDocumentWritingModel;
import cn.com.poc.law.entity.BizAiLegislativeDocumentWritingEntity;
import cn.com.poc.law.dto.BizAiLegislativeDocumentWritingDto;


public class BizAiLegislativeDocumentWritingConvert {

    public static BizAiLegislativeDocumentWritingEntity modelToEntity(BizAiLegislativeDocumentWritingModel model){
        BizAiLegislativeDocumentWritingEntity entity = new BizAiLegislativeDocumentWritingEntity();
        entity.setLegislativeDocumentWritingId(model.getLegislativeDocumentWritingId());
        entity.setLegislativeDocumentWritingDialoguesId(model.getLegislativeDocumentWritingDialoguesId());
        entity.setLegislativeDocumentWritingDialoguesData(model.getLegislativeDocumentWritingDialoguesData());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAiLegislativeDocumentWritingModel entityToModel(BizAiLegislativeDocumentWritingEntity entity){
        BizAiLegislativeDocumentWritingModel model = new BizAiLegislativeDocumentWritingModel();
        model.setLegislativeDocumentWritingId(entity.getLegislativeDocumentWritingId());
        model.setLegislativeDocumentWritingDialoguesId(entity.getLegislativeDocumentWritingDialoguesId());
        model.setLegislativeDocumentWritingDialoguesData(entity.getLegislativeDocumentWritingDialoguesData());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static BizAiLegislativeDocumentWritingDto entityToDto(BizAiLegislativeDocumentWritingEntity entity){
        BizAiLegislativeDocumentWritingDto dto = new BizAiLegislativeDocumentWritingDto();
        dto.setLegislativeDocumentWritingId(entity.getLegislativeDocumentWritingId());
        dto.setLegislativeDocumentWritingDialoguesId(entity.getLegislativeDocumentWritingDialoguesId());
        dto.setLegislativeDocumentWritingDialoguesData(entity.getLegislativeDocumentWritingDialoguesData());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizAiLegislativeDocumentWritingEntity dtoToEntity(BizAiLegislativeDocumentWritingDto dto){
        BizAiLegislativeDocumentWritingEntity entity = new BizAiLegislativeDocumentWritingEntity();
        entity.setLegislativeDocumentWritingId(dto.getLegislativeDocumentWritingId());
        entity.setLegislativeDocumentWritingDialoguesId(dto.getLegislativeDocumentWritingDialoguesId());
        entity.setLegislativeDocumentWritingDialoguesData(dto.getLegislativeDocumentWritingDialoguesData());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}